Skip to main content
PUT
/
api
/
v1
/
platform
/
tenants
/
{id}
/
payment-policy
Platform tenant ödeme politikasını güncelle
curl --request PUT \
  --url https://identity-sandbox.payven.com.tr/api/v1/platform/tenants/{id}/payment-policy \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json; ver=1.0' \
  --data '
{
  "allow_non3_d": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "slug": "<string>",
  "display_name": "<string>",
  "realm_name": "<string>",
  "contact_email": "<string>",
  "plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "plan_code": "<string>",
  "plan_name": "<string>",
  "plan_assigned_at": "2023-11-07T05:31:56Z",
  "allow_non3_d": true,
  "created": "2023-11-07T05:31:56Z",
  "last_modified": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Path Parameters

id
string<uuid>
required

Body

allow_non3_d
boolean
preferred_three_d_flow
enum<string>
Available options:
standard,
pay,
hosted

Response

OK

id
string<uuid>
slug
string | null
display_name
string | null
realm_name
string | null
contact_email
string | null
status
enum<string>
Available options:
active,
suspended
plan_id
string<uuid> | null
plan_code
string | null
plan_name
string | null
plan_assigned_at
string<date-time> | null
allow_non3_d
boolean
preferred_three_d_flow
enum<string>
Available options:
standard,
pay,
hosted
created
string<date-time>
last_modified
string<date-time>